package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TDictMajorBuilding;

/**
 * 重大建筑物字典 数据层
 */
@Mapper
public interface TDictMajorBuildingMapper {

    TDictMajorBuilding selectTDictMajorBuildingByGuid(String guid);

    List<TDictMajorBuilding> selectTDictMajorBuildingList(TDictMajorBuilding tDictMajorBuilding);

    int insertTDictMajorBuilding(TDictMajorBuilding tDictMajorBuilding);

    int updateTDictMajorBuilding(TDictMajorBuilding tDictMajorBuilding);

    int deleteTDictMajorBuildingByGuid(String guid);

    int deleteTDictMajorBuildingByGuids(String[] guids);
}
